/domains/{domainId}Delete a domain
Authentication
Bearer authentication is required for this operation.
Path parameters
domainIdrequiredstringDomain identifier.
Request examples
curl --request DELETE 'https://api.au.boundry.dev/domains/string' \
+ -H 'Authorization: Bearer $BOUNDRY_API_KEY' \
+200 response
Deleted domain identifier.
deletedrequiredbooleanDeletion marker. Values: true.
idrequiredstringDeleted domain identifier. Example: "msg_01j0example".
objectrequiredstringResource type discriminator. Values: "domain".
{
"domainId": "dom_01j0example"
}401 response
Invalid API key.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"domainId": "dom_01j0example"
}404 response
Domain not found.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"domainId": "dom_01j0example"
}422 response
Request validation failed.
errorsarrayDetailed validation issues. Absent only for the historical 401 API-key envelope.
coderequiredstringZod validation issue code. Example: "invalid_format".
messagerequiredstringHuman-readable validation failure. Example: "Invalid email address".
pathrequiredstringDot-separated location of the invalid value. Example: "from".
messagerequiredstringHuman-readable error message. Example: "Request validation failed.".
namerequiredstringMachine-readable error category. Values: "validation_error", "application_error", "not_found". Example: "validation_error".
{
"domainId": "dom_01j0example"
}